<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Balen
 * @since  Balen 1.0.0
 */

$wp_customize->add_section( 'balen_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','balen' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'balen' ),
		'panel'             => 'balen_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'balen_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'balen_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  Balen_Switch_Control( $wp_customize,
	'balen_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'balen' ),
			'section'          	=> 'balen_breadcrumb',
			'on_off_label' 		=> balen_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'balen_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'balen_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'balen' ),
		'active_callback' 	=> 'balen_is_breadcrumb_enable',
		'section'          	=> 'balen_breadcrumb',
	)
);
