<?php
/**
* Footer options
*
* @package Theme Palace
* @subpackage  Balen
* @since  Balen 1.0.0
*/

// Footer Section
$wp_customize->add_section( 'balen_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'balen' ),
		'priority'   			=> 900,
		'panel'      			=> 'balen_theme_options_panel',
		)
	);


// Topbar content enable control and setting
$wp_customize->add_setting( 'balen_theme_options[footer_social_menu_enable]',
	array(
		'default'			=> 	$options['footer_social_menu_enable'],
		'sanitize_callback' => 'balen_sanitize_switch_control',
	)
);
 
 $wp_customize->add_control( new Balen_Switch_Control( $wp_customize,
	'balen_theme_options[footer_social_menu_enable]',
		array(
			'label'             => esc_html__( 'Social Menu Enable', 'balen' ),
			'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu in footer.', 'balen' ), esc_html__( 'Click Here', 'balen' ), esc_html__( 'to create menu', 'balen' ) ),
			'section'           => 'balen_section_footer',
			'on_off_label' 		=> balen_switch_options(),
		)
	)
);
// scroll top visible
$wp_customize->add_setting( 'balen_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'balen_sanitize_switch_control',
		)
	);

$wp_customize->add_control( new  Balen_Switch_Control( $wp_customize,
	'balen_theme_options[scroll_top_visible]',
		array(																																																																																																																																																																																																																																																																																																																																																																																																																																																																																							
			'label'      		=> esc_html__( 'Display Scroll Top Button', 'balen' ),
			'section'    		=> 'balen_section_footer',
			'on_off_label' 		=> balen_switch_options(),
		)
	)
);

$wp_customize->add_setting( 'balen_theme_options[footer_hr]',
	array(
		'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control( new Balen_Customize_Horizontal_Line( $wp_customize,
	'balen_theme_options[footer_hr]',
		array(
			'section'         => 'balen_section_footer',
			'type'			  => 'hr',
		)
	)
);
